#ifndef COMMON_H_
#define COMMON_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <sys/time.h>
#include <time.h>


#define BUF_LEN		8196


enum packet {
	PACKET_PING = 0x09,
	PACKET_INFO = 0x00,
};


enum {
	VERBOSE_BRIEF = 0,
	VERBOSE_VERBOSE,
	VERBOSE_DEBUG,
	VERBOSE_FLOOD,
};


extern int verbose;


struct settings {
	int	show_players;
	int	show_empty;

	int	info_level;

	int	ping;
	int	timeout;

	int	cols;
};


int timediff(struct timeval *now, struct timeval *then);


#endif
