#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "server.h"

#include <stdio.h>
#include <unistd.h>



void
server_error(struct server *s, int close_s, const char *msg, const char *err)
{
	fprintf(stderr, "%s/%s: ", s->addr, s->port);
	if (msg != NULL) {
		fprintf(stderr, "%s: ", msg);
	}
	fprintf(stderr, "%s\n", err);
	if (close_s == 1) {
		close(s->fd);
	}
	s->fd = 0;
}
